6010: Parse phone number

6010: Parse phone number

Validate phone number and return valid phone number country code, country dial code and number type

Endpoint ID:

6010

Method:

GET

URL:

/services/phonenumber/parse/{phoneNumber}?countryCode={countryCode}&countryCodeFormat={countryCodeFormat} 

 

phoneNumber

Phone number to be validated.

Valid examples

  • +4529254029

  • 29254029 (valid only if country code is specified)

 

countryCode

Optional value to identify country of phoneNumber.

 

countryCodeFormat 

Optional value to identify countryCode format.

Valid values are

  • ISO2 (ISO 3166-1 alpha-2: two letter country codes)

  • ISO3 (ISO 3166-1 alpha-3: three letter country codes)

  • ISON (ISO 3166-1 numeric: three digit country codes)

  • Internet (top level domain names on web)

  • Rubiq (internal RubiqSoft format)

Request body:

None

JSON data with information about the valid phone number 

 

Example – Parse +4529254029
{ "phoneNumber": "+4529254029" "countryCode": "DK", "countryDialCode": "45", "numberType": "FixedLineOrMobile" }

   

Status codes:

200

Phone number is validated successfully.

 

400

The following sub codes may be returned:

 

400.1

Invalid phone number.

400.2

Phone number must be in E164 format if country code is not specified.

400.3

Invalid country code format.

400.4

Invalid country code.